$window_border: if($variant=='light', transparentize(black, 0.77), transparentize($borders_color, 0.1));

// window
.window {
	margin: 0 auto;
	margin-top: 5%;
	border-radius: 8px 8px 0 0;
	background-color: $bg_color;
	box-shadow: 0 3px 9px 1px transparentize(black, 0.7),0 0 0 1px $window_border; //doing borders with box-shadow
	// overflow: hidden;

	&.small {
		width:800px;
		height:600px;
	}

	&.narrow {
		width:400px;
		height:600px;
		.row {
			width: 80%;
		}
	}

	&.mobile {
		border-radius: 0;
		width:360px;
		height:640px + 24px;
		box-shadow: 0 0 0 1px black;
	}

	&.medium {
		width:1024px;
		height:768px;
	}


	&.large {
		width:1200px;
		height:800px;
	}

	%fullscreen,
	&.fullscreen {
		margin: 0;
		margin-top: 26px; // account for the panel
		box-shadow:none;
		width:100%;
		height:100%;
		left: 0;
		top: 0;
		overflow: hidden;
		position: fixed;
	}

	&.no-content {
		max-height: 96px;
		box-shadow:0 0 0 1px $window_border; //doing borders with box-shadow
	}
}

// window always fullscreen on small displays
@media only screen and (max-width: 1200px) and (max-height: 900px) {
	.window {
		&.large {
			width:1024px;
			height:768px;
			transition: height 100ms ease-in-out;
			transition: width 100ms ease-in-out;
		}
	}
}
// window always fullscreen on small displays
@media only screen and (max-width: 1024px) {
	.window {
		&.fullscreen,
		&.mobile,
		&.small,
		&.medium,
		&.large {
			margin: 0;
			margin-top: 26px; // account for the panel
			box-shadow:none;
			width: 100%;
			height: calc(100% - 26px); // account for the margin
			left: 0;
			top: 0;
			overflow: hidden;
			position: fixed;
			transition: height 100ms ease-in-out;
			transition: width 100ms ease-in-out;
		}

		&.mobile {
			margin-top:0;
			height: 100% !important;
		}
	}
}

// window always fullscreen on small displays
@media only screen and (max-width: 800px) {
	.window {
		&.fullscreen,
		&.mobile,
		&.small,
		&.medium,
		&.large {
			border-radius: 0 !important; 
			margin-top: 26px + 6px !important; // account for the panel
			height: calc(100% - (26px + 6px)) !important; // account for the margin
		}

		&.mobile {
			margin-top:0;
			height: 100% !important;
		}
	}
}